#ifndef __QOS_H__
#define __QOS_H__

#include "qos_lb.h"

struct xcache_qos {
	struct qos_lb qos_lb;
};

static inline void xcache_qos_load_add(struct xcache_qos *qos, int dev, enum xcache_dir dir, uint64_t bytes)
{
	qos_lb_load_add(&qos->qos_lb, dev, dir, bytes);
}

static inline void xcache_qos_load_sub(struct xcache_qos *qos, int dev, enum xcache_dir dir, uint64_t bytes)
{
	qos_lb_load_sub(&qos->qos_lb, dev, dir, bytes);
}

static inline bool xcache_qos_need_lb(struct xcache_qos *qos, enum xcache_dir dir, uint64_t bytes)
{
	return qos_need_lb(&qos->qos_lb, dir, bytes);
}

void xcache_qos_init(struct xcache_qos *qos);

#endif
